### org.jfree.layouting.layouter.style.resolver.computed.color

# Class OtherColorResolveHandler

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.computed.color.ColorResolveHandler`
  - - `org.jfree.layouting.layouter.style.resolver.computed.color.OtherColorResolveHandler`

Implemented Interfaces:
  ResolveHandler

`public class OtherColorResolveHandler`
`extends ColorResolveHandler`

Creation-Date: 11.12.2005, 23:28:29

Author:
  Thomas Morgner

  ## Constructor Summary

  `OtherColorResolveHandler()`

  ## Method Summary

  `protected CSSColorValue`

  `getCurrentColor(LayoutElement currentNode)`

  `StyleKey[]`

  `getRequiredStyles()`
    This indirectly defines the resolve order.

  ### Methods inherited from class org.jfree.layouting.layouter.style.resolver.computed.color.ColorResolveHandler

  `getCurrentColor`, `getRequiredStyles`, `resolve`

## Constructor Details

### OtherColorResolveHandler

    public OtherColorResolveHandler()

## Method Details

### getCurrentColor

    protected CSSColorValue getCurrentColor(LayoutElement currentNode)

> Overrides:
>   getCurrentColor in interface ColorResolveHandler

### getRequiredStyles

    public StyleKey[] getRequiredStyles()

> This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
> Specified by:
>   getRequiredStyles in interface ResolveHandler
> Overrides:
>   getRequiredStyles in interface ColorResolveHandler
> Returns: